Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 1335)
@@ -127,7 +127,7 @@
 	 * @param corpusname 
 	 */
 	public CorpusPage(ImportFormEditor editor) {
-		super(editor, TXMUIMessages.CorpusPage_30, TXMUIMessages.CorpusPage_30); 
+		super(editor, TXMUIMessages.parameters, TXMUIMessages.parameters); 
 		this.editor = editor;
 	}
 
@@ -222,7 +222,7 @@
 		gdata.colspan = 2;
 		separatorLabel.setLayoutData(gdata);
 
-		Label mandatoryLabel = toolkit.createLabel(form.getBody(), TXMUIMessages.CorpusPage_40, SWT.WRAP);
+		Label mandatoryLabel = toolkit.createLabel(form.getBody(), TXMUIMessages.dDotMandatoryField, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE, 2,1);
 		gdata.colspan = 2;
 		mandatoryLabel.setLayoutData(gdata);
@@ -710,7 +710,7 @@
 
 		Label titleLabel = toolkit.createLabel(hyperlinks,"", SWT.WRAP); //$NON-NLS-1$
 		titleLabel.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.TOP));
-		titleLabel.setText(NLS.bind(TXMUIMessages.MainPage_2, 
+		titleLabel.setText(NLS.bind(TXMUIMessages.importParametersOfP0, 
 				ImportModuleCustomization.getName(editor.getGroovyScript().getName())));
 		FontData[] fD = titleLabel.getFont().getFontData();
 		fD[0].setHeight(16);
@@ -730,7 +730,7 @@
 				if (project != null) {
 					saveConfig();
 				} else 
-					System.out.println(TXMUIMessages.CorpusPage_66);
+					System.out.println(TXMUIMessages.cannotStartImportConfigurationNoSourceFolderSelected);
 			}
 		};
 
@@ -743,7 +743,7 @@
 						startImport();
 					}
 				} else 
-					System.out.println(TXMUIMessages.CorpusPage_66);
+					System.out.println(TXMUIMessages.cannotStartImportConfigurationNoSourceFolderSelected);
 			}
 		};
 
@@ -770,9 +770,9 @@
 		RowLayout hLayout = new RowLayout();
 		hLayout.center = true;
 		line1.setLayout(hLayout);
-		toolkit.createLabel(line1, TXMUIMessages.CorpusPage_35, SWT.WRAP);
+		toolkit.createLabel(line1, TXMUIMessages._1, SWT.WRAP);
 
-		Hyperlink hyperlink1 = toolkit.createHyperlink(line1, TXMUIMessages.CorpusPage_37, SWT.WRAP);
+		Hyperlink hyperlink1 = toolkit.createHyperlink(line1, TXMUIMessages.selectTheSourceDirectory, SWT.WRAP);
 		hyperlink1.addHyperlinkListener(selectDirHListener);
 
 		ImageHyperlink openImportLink2 = toolkit.createImageHyperlink(line1, SWT.WRAP);
@@ -786,8 +786,8 @@
 		hLayout = new RowLayout();
 		hLayout.center = true;
 		line2.setLayout(hLayout);
-		toolkit.createLabel(line2, TXMUIMessages.CorpusPage_38, SWT.WRAP);
-		toolkit.createLabel(line2, TXMUIMessages.CorpusPage_39, SWT.WRAP);
+		toolkit.createLabel(line2, TXMUIMessages._2, SWT.WRAP);
+		toolkit.createLabel(line2, TXMUIMessages.setImportParametersInTheSectionsBelow, SWT.WRAP);
 
 		Composite line4 = toolkit.createComposite(form.getBody());
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL, 2, 1);
@@ -796,8 +796,8 @@
 		hLayout = new RowLayout();
 		hLayout.center = true;
 		line4.setLayout(hLayout);
-		toolkit.createLabel(line4, TXMUIMessages.CorpusPage_42);
-		Hyperlink hyperlink3 = toolkit.createHyperlink(line4, TXMUIMessages.CorpusPage_43, SWT.WRAP);
+		toolkit.createLabel(line4, TXMUIMessages._3);
+		Hyperlink hyperlink3 = toolkit.createHyperlink(line4, TXMUIMessages.startCorpusImport, SWT.WRAP);
 		hyperlink3.addHyperlinkListener(startImportListener);
 		ImageHyperlink startImportLink2 = toolkit.createImageHyperlink(line4, SWT.NULL);
 		startImportLink2.setImage(IImageKeys.getImage(IImageKeys.START));
@@ -823,7 +823,7 @@
 		if (metadataFile.exists())
 			this.editor.getMetaPage().setMetadataFile(metadataFile);
 
-		Log.info(TXMUIMessages.CorpusPage_50+moduleParams);
+		Log.info(TXMUIMessages.moduleUIParametersDDot+moduleParams);
 		this.setPartName(project.getName());
 
 		if (infosSection != null && !infosSection.isDisposed()) {
@@ -893,7 +893,7 @@
 	 * @return true if import parameters are saved
 	 */
 	public boolean saveConfig() {
-		System.out.println(TXMUIMessages.CorpusPage_52);
+		System.out.println(TXMUIMessages.savingImportParameters);
 
 		//		params.rootDir = project.getSrcdir().getAbsolutePath();
 		//		project.scriptFile = editor.getGroovyScript().getName();
@@ -1090,4 +1090,4 @@
 	public String getRootDir() {
 		return project.getSrcdir().getAbsolutePath();
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/MetadataPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/MetadataPage.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/MetadataPage.java	(revision 1335)
@@ -168,7 +168,7 @@
 	 * @param main 
 	 */
 	public MetadataPage(FormEditor editor, CorpusPage main) {
-		super(editor, TXMUIMessages.MainPage_0, TXMUIMessages.MetadataPage_1);
+		super(editor, TXMUIMessages.mainPage, TXMUIMessages.metadataPreview);
 		this.main = main;
 	}
 	int index = 0;
@@ -179,7 +179,7 @@
 	protected void createFormContent(final IManagedForm managedForm) {
 		form = managedForm.getForm();
 		toolkit = managedForm.getToolkit();
-		form.setText(TXMUIMessages.MetadataPage_2);
+		form.setText(TXMUIMessages.metadatasParameters);
 		GridLayout layout = new GridLayout(2, false);
 		form.getBody().setLayout(layout);
 
@@ -427,7 +427,7 @@
 				if (inputElement instanceof Metadatas) {
 					Metadatas m = (Metadatas) inputElement;
 					ArrayList<String> header = m.getHeadersList();
-					System.out.println(TXMUIMessages.MetadataPage_4+header);
+					System.out.println(TXMUIMessages.metadataColumnTitles+header);
 
 					Object[] elems = new Object[m.keySet().size()];
 					int i = 0;
@@ -451,7 +451,7 @@
 
 		displayColumn2 = new TableViewerColumn(viewer2, SWT.NONE);
 		displayColumn2.getColumn().setWidth(120);
-		displayColumn2.getColumn().setText(TXMUIMessages.MetadataPage_5);
+		displayColumn2.getColumn().setText(TXMUIMessages.textID);
 		displayColumn2.setLabelProvider(new ColumnLabelProvider() {
 			@Override
 			public String getText(Object element) {
@@ -487,7 +487,7 @@
 				String txtsep = TBXPreferences.getInstance().getString(TBXPreferences.METADATA_TXTSEPARATOR);
 				temp = new Metadatas(metadataFile, encoding, colsep, txtsep, 1);
 		} else {
-			System.out.println(NLS.bind(TXMUIMessages.MetadataPage_7, metadataFile));
+			System.out.println(NLS.bind(TXMUIMessages.noMetadataFileP0, metadataFile));
 			return;
 		}
 				
@@ -583,4 +583,4 @@
 	public void reload() {
 		reloadViewers();
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/AbstractSVGGraphicable.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/AbstractSVGGraphicable.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/AbstractSVGGraphicable.java	(revision 1335)
@@ -70,10 +70,10 @@
 			this.path = Path.fromOSString(tmp.getCanonicalPath());
 			
 			} catch (IOException e) {
-				Log.severe(TXMUIMessages.CANT_CREATE_GRAPHIC + e);
+				Log.severe(TXMUIMessages.cannotCreateTheGraphic + e);
 			}
 		}
 		return this.path;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1335)
@@ -99,7 +99,7 @@
 	public final static String TOP_TOOLBAR_ID = "TXMEditorTopToolBar"; //$NON-NLS-1$
 	public final static String BOTTOM_TOOLBAR_ID = "TXMEditorBottomToolBar"; //$NON-NLS-1$
 	//FIXME: SJ: bad idea to use the ID as title, need to change the system
-	public final static String COMPUTING_PARAMETERS_GROUP_ID = TXMUIMessages.TXMEditor_3;
+	public final static String COMPUTING_PARAMETERS_GROUP_ID = TXMUIMessages.parameters;
 
 	/**
 	 * The editor main tool bar, positioned at the top of the editor.
@@ -314,7 +314,7 @@
 			//			if(!this.getResult().canCompute() && this.getResult().isDirty())	{
 			//				showExtendedParameters = true;
 			//			}
-			this.extendedParametersGroup = this.topToolBar.installGroup(COMPUTING_PARAMETERS_GROUP_ID, TXMUIMessages.TXMEditor_7, 
+			this.extendedParametersGroup = this.topToolBar.installGroup(COMPUTING_PARAMETERS_GROUP_ID, TXMUIMessages.showHideCommandParameters, 
 					"icons/show_computing_parameters.png",  //$NON-NLS-1$
 					"icons/hide_computing_parameters.png",  //$NON-NLS-1$
 					showExtendedParameters);
@@ -617,9 +617,9 @@
 	 */
 	public JobHandler compute(final boolean update)	{
 
-		StatusLine.setMessage(TXMUIMessages.TXMEditor_0 + this.getResult().getName());
+		StatusLine.setMessage(TXMUIMessages.computing + this.getResult().getName());
 
-		JobHandler job = new JobHandler(TXMUIMessages.TXMEditor_1 + this.getResult().getName()) {
+		JobHandler job = new JobHandler(TXMUIMessages.computing + this.getResult().getName()) {
 
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -649,7 +649,7 @@
 
 
 					// computing result
-					monitor.beginTask(TXMUIMessages.TXMEditor_2, 100);
+					monitor.beginTask(TXMUIMessages.computing_3, 100);
 
 					notifyExtensions("notifyStartOfCompute"); //$NON-NLS-1$
 					if (!TXMEditor.this.getResult().compute(monitor)) {
@@ -1413,4 +1413,4 @@
 		return editors;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/provider/ElementTreeLabelProvider.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/provider/ElementTreeLabelProvider.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/provider/ElementTreeLabelProvider.java	(revision 1335)
@@ -31,11 +31,11 @@
 			} else if (elem.getNodeName().equals(childName)) {
 				return show(elem, index, childAttrs);
 			} else {
-				return TXMUIMessages.ElementTreeLabelProvider_0;
+				return TXMUIMessages.errorDDotElementNotRegistered;
 			}
 			
 		}
-		return TXMUIMessages.ElementTreeLabelProvider_1;
+		return TXMUIMessages.errorDDotObjectIsNotAnOrgw3cElement;
 	}
 
 	private String show(Element elem, int index, String[] attrs) {
@@ -51,4 +51,4 @@
 	public Image getImage(Object obj){
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleValueTreeDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleValueTreeDialog.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleValueTreeDialog.java	(revision 1335)
@@ -136,7 +136,7 @@
 		//		});
 
 		Button addButton = new Button(p, SWT.PUSH);
-		addButton.setText(TXMUIMessages.MultipleValueTreeDialog_0+itemSubName);
+		addButton.setText(TXMUIMessages.addDDot+itemSubName);
 		addButton.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -218,4 +218,4 @@
 	public HashMap<String, String> getValues() {
 		return values;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ObjectSelectionDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ObjectSelectionDialog.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/ObjectSelectionDialog.java	(revision 1335)
@@ -104,7 +104,7 @@
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
 		newShell
-				.setText(TXMUIMessages.ObjectSelectionDialog_0);
+				.setText(TXMUIMessages.valueSelector);
 		newShell.setMinimumSize(300, 260);
 
 	}
@@ -341,7 +341,7 @@
 					availablesView.select(i);
 					count++;
 				}
-			System.out.println(NLS.bind(TXMUIMessages.ObjectSelectionDialog_3, count));
+			System.out.println(NLS.bind(TXMUIMessages.foundP0Values, count));
 		} catch (Exception ex) {
 			System.out.println(NLS.bind(TXMUIMessages.error_invalidRegularExpression, ex.getMessage()));
 		}
@@ -363,9 +363,9 @@
 					selectedsView.select(i);
 					count++;
 				}
-			System.out.println(NLS.bind(TXMUIMessages.ObjectSelectionDialog_3, count));
+			System.out.println(NLS.bind(TXMUIMessages.foundP0Values, count));
 		} catch (Exception ex) {
 			System.out.println(NLS.bind(TXMUIMessages.error_invalidRegularExpression, ex.getMessage()));
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/QueryAssistDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/QueryAssistDialog.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/QueryAssistDialog.java	(revision 1335)
@@ -127,7 +127,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(TXMUIMessages.QueryAssistDialog_0);
+		newShell.setText(TXMUIMessages.queryAssistant);
 		newShell.setMinimumSize(300, 300);
 	}
 
@@ -150,7 +150,7 @@
 			chercheLabel = new Label(mainPanel, SWT.NONE);
 			chercheLabel.setAlignment(SWT.CENTER);
 			chercheLabel.setLayoutData(new GridData(GridData.BEGINNING, GridData.FILL, true, false));
-			chercheLabel.setText(TXMUIMessages.QueryAssistDialog_2);
+			chercheLabel.setText(TXMUIMessages.imLookingForDDot);
 			
 			scrollComposite = new ScrolledComposite(mainPanel, SWT.V_SCROLL);
 			scrollComposite.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
@@ -198,7 +198,7 @@
 			
 			Button addwordButton = new Button(mainPanel, SWT.PUSH);
 			addwordButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
-			addwordButton.setText(TXMUIMessages.QueryAssistDialog_1);
+			addwordButton.setText(TXMUIMessages.addAWord);
 			addwordButton.addSelectionListener(new SelectionListener() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -312,7 +312,7 @@
 			this.setLayout(new GridLayout(5, false));
 
 			Label titleL = new Label(this, SWT.NONE);
-			titleL.setText(NLS.bind(TXMUIMessages.QueryAssistDialog_8, no));
+			titleL.setText(NLS.bind(TXMUIMessages.aWordWithItsProperty, no));
 			GridData datalayout = new GridData(GridData.FILL, GridData.CENTER,
 					true, false);
 			titleL.setLayoutData(datalayout);
@@ -325,10 +325,10 @@
 			}
 
 			testCombo = new Combo(this, SWT.READ_ONLY | SWT.SINGLE);
-			testCombo.add(TXMUIMessages.QueryAssistDialog_10);
-			testCombo.add(TXMUIMessages.QueryAssistDialog_11);
-			testCombo.add(TXMUIMessages.QueryAssistDialog_12);
-			testCombo.add(TXMUIMessages.QueryAssistDialog_13);
+			testCombo.add(TXMUIMessages.equalsTo);
+			testCombo.add(TXMUIMessages.startsWith);
+			testCombo.add(TXMUIMessages.endsWith);
+			testCombo.add(TXMUIMessages.contains);
 			testCombo.select(0);
 
 			valueT = new Text(this, SWT.SINGLE | SWT.BORDER);
@@ -409,9 +409,9 @@
 			this.setLayout(new RowLayout());
 
 			linkCombo = new Combo(this, SWT.READ_ONLY | SWT.SINGLE);
-			linkCombo.add(TXMUIMessages.QueryAssistDialog_32);
-			linkCombo.add(TXMUIMessages.QueryAssistDialog_33);
-			linkCombo.add(TXMUIMessages.QueryAssistDialog_34);
+			linkCombo.add(TXMUIMessages.followedBy);
+			linkCombo.add(TXMUIMessages.separatedByAtLeast0Word);
+			linkCombo.add(TXMUIMessages.separatedByAtLeast1Word);
 
 			linkCombo.select(0);
 		}
@@ -431,4 +431,4 @@
 			return ""; //$NON-NLS-1$
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NewNavigationWidget.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NewNavigationWidget.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NewNavigationWidget.java	(revision 1335)
@@ -319,7 +319,7 @@
 		try {
 			ret = Integer.parseInt(this.currentPositionText.getText());
 		} catch(Exception e) {
-			System.out.println(TXMUIMessages.NavigationWidget_0);
+			System.out.println(TXMUIMessages.errorWhileGettingCurrentPositionValueDDot);
 			Log.printStackTrace(e);
 		}
 		return ret;
@@ -414,4 +414,4 @@
 		return currentPositionText;
 	}
 	
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NamedAssistedQueryWidget.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NamedAssistedQueryWidget.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NamedAssistedQueryWidget.java	(revision 1335)
@@ -84,7 +84,7 @@
 		magicstick = new Button(this, SWT.PUSH);
 		magicstick.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, false, true));
 		magicstick.setImage(IImageKeys.getImage(IImageKeys.ACTION_ASSISTQUERY));
-		magicstick.setToolTipText(TXMUIMessages.AssistedQueryWidget_0);
+		magicstick.setToolTipText(TXMUIMessages.openTheQueryAssistant);
 		magicstick.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -164,4 +164,4 @@
 	public void setName(String string) {
 		nameField.setText(string);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PartitionComposer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PartitionComposer.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PartitionComposer.java	(revision 1335)
@@ -131,7 +131,7 @@
 		layout.center = true;
 		firstArea.setLayout(layout);
 		Label structLabel = new Label(firstArea, SWT.NONE);
-		structLabel.setText(TXMUIMessages.PartitionComposer_0);
+		structLabel.setText(TXMUIMessages.structureDDot);
 		structCombo = new Combo(firstArea, SWT.READ_ONLY | SWT.SINGLE);
 		try {
 			List<StructuralUnit> sus = corpus.getOrderedStructuralUnits();
@@ -191,7 +191,7 @@
 		GridLayout layout2 = new GridLayout(2, false);
 		dispoArea.setLayout(layout2);
 		Label dispoLabel = new Label(dispoArea, SWT.NONE);
-		dispoLabel.setText(TXMUIMessages.PartitionComposer_2);
+		dispoLabel.setText(TXMUIMessages.selectValuesToAssignDDot);
 		dispoLabel.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
 				false, false));
 		availableList = new org.eclipse.swt.widgets.List(dispoArea, SWT.MULTI
@@ -204,7 +204,7 @@
 		// btn
 		btnArea.setLayout(new RowLayout());
 		Button addPart = new Button(btnArea, SWT.PUSH);
-		addPart.setText(TXMUIMessages.PartitionComposer_3);
+		addPart.setText(TXMUIMessages.newPart);
 		addPart.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -213,7 +213,7 @@
 				GridData gdata = new GridData(GridData.FILL, GridData.FILL, true, true);
 				gdata.minimumHeight = 200;
 				p.setLayoutData(gdata);
-				p.setTitle(TXMUIMessages.PartitionComposer_5 + (parts.size() + 1));
+				p.setTitle(TXMUIMessages.part + (parts.size() + 1));
 				parts.add(p);
 				partArea.layout(true);
 				updateDisplay();
@@ -225,7 +225,7 @@
 			}
 		});
 		Button rmvPart = new Button(btnArea, SWT.PUSH);
-		rmvPart.setText(TXMUIMessages.PartitionComposer_6);
+		rmvPart.setText(TXMUIMessages.rmvAllTheParts);
 		rmvPart.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -250,7 +250,7 @@
 		GridData gdata = new GridData(GridData.FILL, GridData.FILL, true, true);
 		gdata.minimumHeight = 200;
 		p.setLayoutData(gdata);
-		p.setTitle(TXMUIMessages.PartitionComposer_5 + (parts.size() + 1));
+		p.setTitle(TXMUIMessages.part + (parts.size() + 1));
 		parts.add(p);
 
 	}
@@ -443,7 +443,7 @@
 			Label titleLabel = new Label(this, SWT.NONE);
 			titleLabel.setLayoutData(new GridData(GridData.FILL,
 					GridData.CENTER, false, false, 1, 1));
-			titleLabel.setText(TXMUIMessages.PartitionComposer_8);
+			titleLabel.setText(TXMUIMessages.titleDDot);
 			Font f = titleLabel.getFont();
 			FontData defaultFont = f.getFontData()[0];
 			defaultFont.setStyle(SWT.BOLD);
@@ -479,7 +479,7 @@
 			Button add = new Button(this, SWT.PUSH);
 			add.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
 					false, 2, 1));
-			add.setText(TXMUIMessages.PartitionComposer_9);
+			add.setText(TXMUIMessages.assign);
 			add.addSelectionListener(new SelectionListener() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -502,7 +502,7 @@
 			Button rmv = new Button(this, SWT.PUSH);
 			rmv.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
 					false, 2, 1));
-			rmv.setText(TXMUIMessages.PartitionComposer_11);
+			rmv.setText(TXMUIMessages.remove);
 			rmv.addSelectionListener(new SelectionListener() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -583,7 +583,7 @@
 	 */
 	public Partition getPartition(String name) {
 		if (this.parts.size() == 0) {
-			System.out.println(TXMUIMessages.PartitionComposer_1);
+			System.out.println(TXMUIMessages.errorDDotThisPartitionHasNoPart);
 			return null;
 		}
 		
@@ -625,4 +625,4 @@
 		// TODO Auto-generated method stub
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/UIParameterException.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/UIParameterException.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/UIParameterException.java	(revision 1335)
@@ -14,7 +14,7 @@
 	private boolean error;
 
 	public UIParameterException(boolean error) {
-		super(TXMUIMessages.UIParameterException_0+true);
+		super(TXMUIMessages.error+true);
 		this.error = error;
 	}
 	
@@ -22,4 +22,4 @@
 	public boolean isError() {
 		return error;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 1335)
@@ -148,7 +148,7 @@
 			} else if ("Boolean".equals(widgetName)) { //$NON-NLS-1$
 				value = Boolean.parseBoolean(stringValue);
 			} else {
-				System.out.println(TXMUIMessages.ParametersDialog_10+widgetName+TXMUIMessages.FileTreeContentProvider_4);
+				System.out.println(TXMUIMessages.unknowedWidgetNameDDot+widgetName+TXMUIMessages.FileTreeContentProvider_4);
 			}
 		}
 	}
@@ -162,7 +162,7 @@
 		super.configureShell(newShell);
 		int idx2 = script.lastIndexOf("Macro");
 		if (idx2 < 0) idx2 = script.length();
-		title = TXMUIMessages.bind(TXMUIMessages.ParametersDialog_0,script.substring(script.lastIndexOf(".")+1, idx2));
+		title = TXMUIMessages.bind(TXMUIMessages.p0ParametersInput,script.substring(script.lastIndexOf(".")+1, idx2));
 		newShell.setText(title);
 	}
 
@@ -184,7 +184,7 @@
 		if (numberOfParameters == 0) button.setEnabled(false);
 
 		super.createButtonsForButtonBar(parent);
-		this.getButton(IDialogConstants.OK_ID).setText(TXMUIMessages.ParametersDialog_1);
+		this.getButton(IDialogConstants.OK_ID).setText(TXMUIMessages.run);
 	}
 
 	protected Control createButtonBar(Composite parent) {
@@ -259,7 +259,7 @@
 			} else if ("Boolean".equals(widgetName)) { //$NON-NLS-1$
 				widget = new BooleanField(composite, SWT.NONE, option);
 			} else {
-				System.out.println(TXMUIMessages.ParametersDialog_10+widgetName+TXMUIMessages.FileTreeContentProvider_4);
+				System.out.println(TXMUIMessages.unknowedWidgetNameDDot+widgetName+TXMUIMessages.FileTreeContentProvider_4);
 			}
 
 			if (widget != null) {
@@ -273,7 +273,7 @@
 			}
 			//			}
 		}
-		new Label(composite, SWT.NONE).setText(TXMUIMessages.ParametersDialog_11);
+		new Label(composite, SWT.NONE).setText(TXMUIMessages.mandatoryFields);
 
 		return composite;
 	}
@@ -291,7 +291,7 @@
 			Object value = w.getWidgetValue();
 
 			if (w.isWidgetMandatory() && value == null) {
-				System.out.println(TXMUIMessages.ParametersDialog_12+field);
+				System.out.println(TXMUIMessages.errorDDotMissingValueDDot+field);
 				error = true;
 			} else if (value != null) {
 				values.put(field, value);
@@ -354,7 +354,7 @@
 				field.setAccessible(true);
 				field.set(bean, value);
 			}  catch (Exception e) {
-				System.out.println(TXMUIMessages.ParametersDialog_14+e.getMessage());
+				System.out.println(TXMUIMessages.errorInAtOptionNameDeclarationDDot+e.getMessage());
 				Log.printStackTrace(e);
 				error = true;
 			}
@@ -430,7 +430,7 @@
 							c.getDeclaredField(option.name());
 						}
 					}  catch (NoSuchFieldException e) {
-						System.out.println(TXMUIMessages.ParametersDialog_14+e.getMessage());
+						System.out.println(TXMUIMessages.errorInAtOptionNameDeclarationDDot+e.getMessage());
 						okNames = false;
 					}
 				}
@@ -470,4 +470,4 @@
 	//			return super.open();
 	//		}
 	//	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedChoiceQueryWidget.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedChoiceQueryWidget.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedChoiceQueryWidget.java	(revision 1335)
@@ -119,7 +119,7 @@
 		magicstick.setLayoutData(new GridData(GridData.FILL, GridData.CENTER,
 				false, false));
 		magicstick.setImage(IImageKeys.getImage(IImageKeys.ACTION_ASSISTQUERY));
-		magicstick.setToolTipText(TXMUIMessages.AssistedQueryWidget_0);
+		magicstick.setToolTipText(TXMUIMessages.openTheQueryAssistant);
 		magicstick.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -211,4 +211,4 @@
 	public Query getQuery() {
 		return this.querywidget.getQuery();
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PropertiesSelector.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PropertiesSelector.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PropertiesSelector.java	(revision 1335)
@@ -92,7 +92,7 @@
 		this.setLayout(new GridLayout(3, false));
 		// = properties
 		propLabel = new Label(this, SWT.NONE);
-		propLabel.setText(TXMUIMessages.PropertiesSelector_1);
+		propLabel.setText(TXMUIMessages.propertiesDDot);
 		propLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, true));
 
 		// word_pos
@@ -103,7 +103,7 @@
 		openeditdialog = new Button(this, SWT.PUSH);
 		openeditdialog.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false,
 				true));
-		openeditdialog.setText(TXMUIMessages.PropertiesSelector_2);
+		openeditdialog.setText(TXMUIMessages.edit);
 
 		openeditdialog.addSelectionListener(new SelectionListener() {
 			@Override
@@ -219,7 +219,7 @@
 				}
 			}
 		} catch (CqiClientException e) {
-			Log.severe(NLS.bind(TXMUIMessages.PropertiesSelector_0, e.getMessage()));
+			Log.severe(NLS.bind(TXMUIMessages.cantLoadPropertiesFromCorpusP0DDotP1, e.getMessage()));
 		}
 	}
 
@@ -339,4 +339,4 @@
 	public void addValueChangeListener(Listener listener) {
 		listeners.add(listener);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ComplexSubcorpusPanel.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ComplexSubcorpusPanel.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ComplexSubcorpusPanel.java	(revision 1335)
@@ -131,16 +131,16 @@
 		}
 
 		Group andorGroup = new Group(this, SWT.SHADOW_ETCHED_IN);
-		andorGroup.setText(TXMUIMessages.ComplexSubcorpusPanel_0);
+		andorGroup.setText(TXMUIMessages.match);
 		andorGroup.setLayout(new GridLayout(2, false));
 		andorGroup.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false, 2, 1));
 
 		andBtn = new Button(andorGroup, SWT.RADIO);
-		andBtn.setText(TXMUIMessages.ComplexSubcorpusPanel_1);
+		andBtn.setText(TXMUIMessages.allCriteria);
 		andBtn.setSelection(true);
 
 		Button orBtn = new Button(andorGroup, SWT.RADIO);
-		orBtn.setText(TXMUIMessages.ComplexSubcorpusPanel_2);
+		orBtn.setText(TXMUIMessages.someCriteria);
 		
 		//structure choice
 		Label l = new Label(this, SWT.None);
@@ -177,11 +177,11 @@
 		// Add/Rmv contrainte
 		// affichage requete
 		l = new Label(this, SWT.NONE);
-		l.setText(TXMUIMessages.ComplexSubcorpusPanel_4);
+		l.setText(TXMUIMessages.query);
 		queryField = new Text(this, SWT.BORDER);
 		queryField.setLayoutData(new GridData(GridData.FILL,GridData.FILL,true, false));
 		Button refreshBtn = new Button(this, SWT.PUSH);
-		refreshBtn.setText(TXMUIMessages.ComplexSubcorpusPanel_5);
+		refreshBtn.setText(TXMUIMessages.common_refresh);
 		refreshBtn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -378,8 +378,8 @@
 			testCombo.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 			testCombo.add("is"); //$NON-NLS-1$
 			testCombo.add("is not"); //$NON-NLS-1$
-			testCombo.add(TXMUIMessages.QueryAssistDialog_13);
-			testCombo.add(TXMUIMessages.ComplexSubcorpusPanel_16);
+			testCombo.add(TXMUIMessages.contains);
+			testCombo.add(TXMUIMessages.doesNotContain);
 			testCombo.select(0);
 
 			valueCombo = new ListViewer(this, SWT.SINGLE | SWT.V_SCROLL | SWT.BORDER | SWT.VIRTUAL);
@@ -465,4 +465,4 @@
 			return null;
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NavigationWidget.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NavigationWidget.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NavigationWidget.java	(revision 1335)
@@ -234,8 +234,8 @@
 		try {
 			ret = Integer.parseInt(currentPosition.getText());
 		} catch(Exception e) {
-			System.out.println(TXMUIMessages.NavigationWidget_0+e);
+			System.out.println(TXMUIMessages.errorWhileGettingCurrentPositionValueDDot+e);
 		}
 		return ret;
 	}
-}
+}
\ No newline at end of file
